Package com.sap.ai.sdk.grounding.model

# Class MetaData

java.lang.Object
com.sap.ai.sdk.grounding.model.MetaData

public class MetaData extends Object
MetaData

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaData()`
  Default constructor for MetaData.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaData`
  `addDataRepositoryMetadataItem(MetaDataDataRepositoryMetadataInner dataRepositoryMetadataItem)`
  Add one dataRepositoryMetadata instance to this `MetaData`.
  `static MetaData`
  `create()`
  Create a new `MetaData` instance.
  `MetaData`
  `dataRepositoryMetadata(List<MetaDataDataRepositoryMetadataInner> dataRepositoryMetadata)`
  Set the dataRepositoryMetadata of this `MetaData` instance and return the same instance.
  `MetaData`
  `destination(String destination)`
  Set the destination of this `MetaData` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaData`.
  `List<MetaDataDataRepositoryMetadataInner>`
  `getDataRepositoryMetadata()`
  Get dataRepositoryMetadata
  `String`
  `getDestination()`
  Get destination
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaData` instance.
  `void`
  `setDataRepositoryMetadata(List<MetaDataDataRepositoryMetadataInner> dataRepositoryMetadata)`
  Set the dataRepositoryMetadata of this `MetaData` instance.
  `void`
  `setDestination(String destination)`
  Set the destination of this `MetaData` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaData` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaData

    protected MetaData()
    Default constructor for MetaData.

- ## Method Details

  - ### destination

    @Nonnull public MetaData destination(@Nullable String destination)
    Set the destination of this `MetaData` instance and return the same instance.
    Parameters:
      `destination` - The destination of this `MetaData`
    Returns:
      The same instance of this `MetaData` class

  - ### getDestination

    @Nonnull public String getDestination()
    Get destination
    Returns:
      destination The destination of this `MetaData` instance.

  - ### setDestination

    public void setDestination(@Nullable String destination)
    Set the destination of this `MetaData` instance.
    Parameters:
      `destination` - The destination of this `MetaData`

  - ### dataRepositoryMetadata

    @Nonnull public MetaData dataRepositoryMetadata(@Nullable List<MetaDataDataRepositoryMetadataInner> dataRepositoryMetadata)
    Set the dataRepositoryMetadata of this `MetaData` instance and return the same instance.
    Parameters:
      `dataRepositoryMetadata` - The dataRepositoryMetadata of this `MetaData`
    Returns:
      The same instance of this `MetaData` class

  - ### addDataRepositoryMetadataItem

    @Nonnull public MetaData addDataRepositoryMetadataItem(@Nonnull MetaDataDataRepositoryMetadataInner dataRepositoryMetadataItem)
    Add one dataRepositoryMetadata instance to this `MetaData`.
    Parameters:
      `dataRepositoryMetadataItem` - The dataRepositoryMetadata that should be added
    Returns:
      The same instance of type `MetaData`

  - ### getDataRepositoryMetadata

    @Nonnull public List<MetaDataDataRepositoryMetadataInner> getDataRepositoryMetadata()
    Get dataRepositoryMetadata
    Returns:
      dataRepositoryMetadata The dataRepositoryMetadata of this `MetaData` instance.

  - ### setDataRepositoryMetadata

    public void setDataRepositoryMetadata(@Nullable List<MetaDataDataRepositoryMetadataInner> dataRepositoryMetadata)
    Set the dataRepositoryMetadata of this `MetaData` instance.
    Parameters:
      `dataRepositoryMetadata` - The dataRepositoryMetadata of this `MetaData`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaData`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaData` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaData` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaData` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaData create()
    Create a new `MetaData` instance. No arguments are required.